Subject: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Nov 2021 20:01:19 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 2 Nov 2021 10:44:23 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > What is the difference between "colors specified by the SVG image"
> > (which you say we respect), and "foreground color is specified in the
> > SVG file" (which you want us to disregard)?
> 
> You missed quoting "no" in "no foreground color is specified in the SVG
> file".  So the difference is that in one case the SVG files specifies
> the foreground color, in the other case it does not.

I didn't miss anything, no.

If the solution you propose only works for SVG that specify no
foreground, then it won't be able to solve all of the situations where
a different theme makes an icon barely visible or unpleasant to the
eye.  Which is why I think a better solution would be to allow themes
to specify different icons where necessary.

> >> I consider this a bug fix, but admittedly only a minor one.  However, I
> >> also note that the visibility of those symbols is worse with a dark
> >> theme in Emacs 28 than in Emacs 27, so we might consider it a
> >> regression.
> >
> > Let's not exaggerate, okay?
> 
> I fail to see any exaggeration.
> 
> I've attached two screenshots of the customize buffer using the
> "tsdh-dark" theme, one in Emacs 27 and the other one in Emacs 28.

If we want to fix this, we can go back to down.xpm etc. on the release
branch, and discuss how to solve this on master.